nvmf_get_discovery_log(2)

NAME
nvmf_get_discovery_log - Return the discovery log page

SYNOPSIS
int nvmf_get_discovery_log (nvme_ctrl_t c , struct nvmf_discovery_log **logp , int max_retries );

ARGUMENTS

c   Discovery controller to use

logp
    Pointer to the log page to be returned

max_retries
    Number of retries in case of failure

DESCRIPTION
The memory allocated for the log page and returned in logp must be freed by the caller using free.

NOTE
Consider using nvmf_get_discovery_wargs instead.

RETURN
0 on success; on failure -1 is returned and errno is set